<?php require_once('../../Connections/odonto_connection1.php');
session_start();
$codigo=$_SESSION['codigo'];
if(isset($_SESSION['id_delivery'])) $id_delivery = $_SESSION['id_delivery'];
else $id_delivery = 0;

if($codigo)
{
	$query_rs_todos = "SELECT mesa,negocio,sucursal,mozo,id_delivery FROM mesas WHERE codigo LIKE '$codigo'";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0['mesa'];
	$negocio=$row_rs_ingreso0['negocio'];
	$sucursal=$row_rs_ingreso0['sucursal'];
	$mozo=$row_rs_ingreso0['mozo'];
	$id_delivery=$row_rs_ingreso0['id_delivery'];

	$hora      = date("Y-m-d h:i");
	$hora      = strtotime('-3 hour', strtotime($hora));
	$hora      = date('Y-m-d h:i', $hora);
	if($id_delivery) {
		
		$q = "SELECT apellido,nombre,celular,direccion FROM delivery WHERE id_delivery LIKE '$id_delivery'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$apellido = $row['apellido'];
		$nombre = $row['nombre'];
		$celular = $row['celular'];
		$direccion = $row['direccion'];
		
	$aviso = "<u>DELIVERY</u>!!! $apellido, $nombre Tel: $celular Direccion: $direccion";
	}
	else $aviso="Pedido en mesa ".$mesa;

	if(isset($_GET['mensaje'])) $mensaje = $_GET['mensaje'];
	
	if(isset($_POST['submit3'])) {
		$mensaje = $_POST['mensaje'];
		$cuantopagas = $_POST['cuantopagas'];
		$suma = $_POST['suma'];
		$direccion = $_POST['direccion'];
		if($cuantopagas) $mensaje = $mensaje." Paga con: ".$cuantopagas;
		$mensaje = $mensaje." Direccion de Envio: ".$direccion." TOTAL PEDIDO: $".$suma;
	}
	
	if(isset($_POST['submit4'])) {
		$mensaje = $_POST['mensaje_takeaway'];
		$cuantopagas = $_POST['cuantopagas_takeaway'];
		$suma = $_POST['suma_takeaway'];
		if($cuantopagas) $mensaje = $mensaje." Paga con: ".$cuantopagas;
		$mensaje = $mensaje." TOTAL: $".$suma;
	}
	
	if($id_delivery){
		if($_GET['domicilio'] == 1) $mensaje = "Aclara: ".$mensaje." - A DOMICILIO";
		else $mensaje = "Aclara ".$mensaje." TAKEAWAY";
		$borrar = 1;
		}
	
	// acá calcula el pedido	
	$query_rs_todos = "SELECT cod_pre,cant,recibido FROM pedidos WHERE mesa LIKE '$codigo' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal' ";
	$rs_ingreso1 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso1 = mysqli_fetch_assoc($rs_ingreso1);
	$descripcion = '';
	$descripcion_mesas = '';
	do{
		$cod_pre = $row_rs_ingreso1['cod_pre'];
		$cant = $row_rs_ingreso1['cant'];
		$recibido = $row_rs_ingreso1['recibido'];
		$dif = $cant - $recibido;

		$query_rs_todos = "SELECT menu,observa FROM precios WHERE id_pre LIKE '$cod_pre' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal'";
		$rs_ingreso2 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
		$row_rs_ingreso2 = mysqli_fetch_assoc($rs_ingreso2);
		/*
		if($row_rs_ingreso2['observa']) 
			{
				$nota="(".$row_rs_ingreso2['observa'].")";
			}
		else $nota="";
		*/
		$descripcion_mesas .= $cant." ".$row_rs_ingreso2['menu']."/";

		if($dif != '0')	{
			$descripcion = $dif." ".$row_rs_ingreso2['menu']." \n".$descripcion;
		}
	}
	while($row_rs_ingreso1= mysqli_fetch_assoc($rs_ingreso1));

	if ($_SESSION['voy'] == 'voy' && $descripcion)
	{
		$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo,limpiado) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '$mozo', '0', '$mensaje', '7', NULL, NULL,'$id_delivery','$codigo',0);";
		$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());

		//$query_rs_tabla22 = "UPDATE `pedidos` SET `nuevo` = '1' WHERE `pedidos`.`mesa` = '$codigo';";
		//$rs_tabla22 = mysqli_query($odonto_connection, $query_rs_tabla22) or die(mysqli_error());

		if($mensaje != '' ) $descripcion_mesas = $descripcion_mesas." ACLARA:".$mensaje;
		$query_rs_tabla3 = "UPDATE mesas SET descripcion = '$descripcion_mesas' WHERE mesa = '$mesa' AND negocio = '$negocio';";
		$rs_tabla3 = mysqli_query($odonto_connection, $query_rs_tabla3) or die(mysqli_error());


	$query_rs_todos = "SELECT cant,id_ped FROM pedidos WHERE mesa LIKE '$codigo' AND negocio LIKE '$negocio' AND sucursal LIKE '$sucursal'";
	$rs_ingreso5 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5);
	
	do{
		$id_ped = $row_rs_ingreso5['id_ped'];
		$cant = $row_rs_ingreso5['cant'];
		$query_rs_tabla3 = "UPDATE pedidos SET recibido = '$cant' WHERE id_ped = '$id_ped';";
		$rs_tabla3 = mysqli_query($odonto_connection, $query_rs_tabla3) or die(mysqli_error());
	
	}while($row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5));

	}
	if($borrar){
		$q = "DELETE FROM pedidos WHERE mesa = '".$codigo."'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	}
}
?>
  
<!DOCTYPE HTML>
<html>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>PonderZone</title>

<?php 
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_js_gral.php');
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_css_gral.php');
?>

<link rel="stylesheet" href="estilos_mgp.css" />

<link rel="stylesheet" href="../../bootstrap4/css/animacion1.css" />
<link href='https://fonts.googleapis.com/css?family=Handlee' rel='stylesheet'>

<script>

function myFunction() {setTimeout ("myFunction1();", 2500);}

function myFunction1(){	
	//var codigo = "<?php echo $codigo;?>";
	window.open("./index0.php","_parent");
}
	</script>
<style>
body
	{
	  font-family:'Handlee';
	}

.container{
	
	background-image:url(fondos/bares-restaurantes-rosario.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	height: 600px;
}

:root {
  //--main-bg-negocio: url(fondos/<?php echo $negocio;?>/almacen_deluca.jpg);
  --main-bg-negocio: url(fondos/bares-restaurantes-rosario.jpg); //generico
  //--main-bg-opacidad: 0.99;
}

</style>

</head>
<body onload="myFunction()">

<div class="container">

<br><br>
<div class="row container text-center" style="color:white;font-size:2.3rem;background-color:black" >
	<div class="col"><?php 
			
	echo "<button type=\"button\" class=\"btn btn-secondary btn-circle degrade btn-xl \" style=\"height:22rem;font-size:1.8rem\" name=\"mozo\" id=\"bot_1\" ><b>";

	if($codigo) {
		if ($_SESSION['voy'] == 'voy') {

			$query_rs_todos = "SELECT nombre,imagen_logo FROM datos WHERE negocio LIKE '$negocio' LIMIT 1";
			$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
			$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
			$nombre=$row_rs_ingreso0['nombre'];
			$imagen_logo=$row_rs_ingreso0['imagen_logo'];
			$link_imagen = "fondos/".$negocio."/".$imagen_logo;
			if(file_exists($link_imagen)) echo "<img src=$link_imagen style='width:25%'>";
			echo "<br>";
			if ($descripcion != '0') {echo "Tu Pedido está<br>en camino!!!";}
			else echo "No hay nada seleccionado";
			}
		else echo ".......::::......";
	}
	else echo "Vuelva a intentarlo...";?>
	</b></button>
	</div>
</div>


</div>


</body>
</html>